Gecode::Int::Sorted::OfflineMin Class Reference

Offline-Min datastructure Used to compute the perfect matching between the unsorted views x and the sorted views y. More...

`#include <sortsup.hpp>`

## Public Member Functions

| OfflineMin (void)
| OfflineMin (OfflineMinItem[], int[], int)
int | find (int x)
int | find_pc (int x)
void | unite (int a, int b, int c)
| Unite two sets a and b and label the union with c.
void | makeset (void)
| Initialization of the datastructure.
int | size (void)
| Return the size of the Offline-Min item.
OfflineMinItem & | operator[] (int)

## Detailed Description

Offline-Min datastructure Used to compute the perfect matching between the unsorted views x and the sorted views y.

Definition at line 146 of file sortsup.hpp.

## Constructor & Destructor Documentation

## OfflineMin() [1/2]

Gecode::Int::Sorted::OfflineMin::OfflineMin | ( | void |  | ) |

Definition at line 173 of file sortsup.hpp.

## OfflineMin() [2/2]

Gecode::Int::Sorted::OfflineMin::OfflineMin | ( | OfflineMinItem | s[],
|  | int | v[],
|  | int | size )

Definition at line 179 of file sortsup.hpp.

## Member Function Documentation

## find()

int Gecode::Int::Sorted::OfflineMin::find | ( | int | x | ) |

inline

Find the set x belongs to (wihtout path compression)

Definition at line 186 of file sortsup.hpp.

## find_pc()

int Gecode::Int::Sorted::OfflineMin::find_pc | ( | int | x | ) |

inline

Find the set x belongs to (using path compression)

Definition at line 196 of file sortsup.hpp.

## unite()

void Gecode::Int::Sorted::OfflineMin::unite | ( | int | a,
|  | int | b,
|  | int | c )

inline

Unite two sets a and b and label the union with c.

Definition at line 210 of file sortsup.hpp.

## makeset()

void Gecode::Int::Sorted::OfflineMin::makeset | ( | void |  | ) |

inline

Initialization of the datastructure.

Definition at line 227 of file sortsup.hpp.

## size()

int Gecode::Int::Sorted::OfflineMin::size | ( | void |  | ) |

inline

Return the size of the Offline-Min item.

Definition at line 241 of file sortsup.hpp.

## operator[]()

OfflineMinItem & Gecode::Int::Sorted::OfflineMin::operator[] | ( | int | i | ) |

inline

Definition at line 246 of file sortsup.hpp.

The documentation for this class was generated from the following file:

- gecode/int/sorted/sortsup.hpp